package electrosphere.game.data.graphics;

import java.util.List;
import java.util.Map;

/**
 * A graphics template for an entity
 */
public class GraphicsTemplate {

    //a list of shader overrides
    List<String> shaderOverrideMeshList;
    //??? TODO: investigate
    Map<String,ShaderSet> shaderMap;

    public List<String> getShaderOverrideMeshList(){
        return shaderOverrideMeshList;
    }

    public Map<String,ShaderSet> getShaderMap(){
        return shaderMap;
    }

    

}
